#!/usr/bin/env python2

import logging
logging.getLogger("scapy.runtime").setLevel(logging.ERROR)
from scapy.all import *

#returns [(session,payload)]
def get_streams(filename):
	try:
		cap=rdpcap(filename)
		sessions=cap.sessions()
		ret=[]

		for session in sessions:
			payload=""

			for packet in sessions[session]:
				if TCP in packet and type(packet[TCP].payload)==Raw:
					packet_payload=str(packet[TCP].payload)
					payload+=packet_payload

			if len(payload)>0:
				ret.append((session,payload));

		return ret

	except:
		raise Exception("Error opening pcap \""+filename+"\".")

if __name__=="__main__":
	streams=get_streams('test.pcap')
	for stream in streams:
		print(stream[0])